<?php 
/**
 * whlog_adm.php
 *
 * the administration pages of plugin
 *
 */

function whlog_options_init()
{
	wp_register_script( 'whlogCommons', plugins_url( '/js/common.js', __FILE__ ), array( 'jquery', 'media-upload', 'thickbox' ) );
	wp_register_style( 'whlogCommons', plugins_url( '/css/mainwhlog.css', __FILE__ ) );
}

function whlog_options_head()
{
	global $whlog_config;
	
	wp_enqueue_script( 'whlogCommons' );
	wp_enqueue_script( 'media-upload' );
	wp_enqueue_script( 'media-upload' );
	wp_enqueue_script( 'thickbox' );

	wp_enqueue_style( 'whlogCommons' );
	wp_enqueue_style( 'thickbox' );
	
}
/*
function whlog_options_menu()
{
	$page = add_options_page( 'AlNiches Premium Login Screen', 'AlNiches Premium Login Screen', 'manage_options', 'whlog-options-menu', 'whlog_options_page' );

	add_action( 'admin_print_styles-' . $page, 'whlog_options_head' );
}

*/
function whlog_options_menu()
{	// Adding Wordpress Backend Menu
	if (function_exists('add_menu_page')) {
		$page=add_menu_page('WPLogin Pro', 'WPLogin Pro', 10, 'whlog-options-menu', 'whlog_options_page');
		add_action( 'admin_print_styles-' . $page, 'whlog_options_head' );
	}

}


function whlog_options_remove()
{
	delete_option( 'whlog_skin' );
	delete_option( 'whlog_copy' );
	delete_option( 'whlog_logo' );
	delete_option( 'whlog_logo_url' );
	delete_option( 'whlog_logo_width' );
	delete_option( 'whlog_logo_height' );
	delete_option( 'whlog_remove' );
}

function whlog_options_page()
{
	global $whlog_config;
	
	if( !current_user_can( 'manage_options' ) ) {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
	
	$whlog_skin 	  = 'whlog_skin';
	$whlog_copy 	  = 'whlog_copy';
	$whlog_logo 	  = 'whlog_logo';
	$whlog_logo_url = 'whlog_logo_url';
	$whlog_logo_width  = 'whlog_logo_width';
	$whlog_logo_height = 'whlog_logo_height';
	$whlog_remove	  = 'whlog_remove';
	$whlog_shaker	  = 'whlog_shaker';

    if( isset( $_POST['whlog_form_submitted'] ) ) {

		update_option( $whlog_skin, $_POST[ $whlog_skin ] );
		update_option( $whlog_copy, $_POST[ $whlog_copy ] );
		update_option( $whlog_logo, $_POST[ $whlog_logo ] );
		update_option( $whlog_logo_url, $_POST[ $whlog_logo_url ] );
		update_option( $whlog_logo_width, $_POST[ $whlog_logo_width ] );
		update_option( $whlog_logo_height, $_POST[ $whlog_logo_height ] );
		update_option( $whlog_remove, $_POST[ $whlog_remove ] );
		update_option( $whlog_shaker, $_POST[ $whlog_shaker ] );
        
        whlog_get_values();
        
        print '<div class="updated"><p><strong>settings saved.</strong></p></div>';

    }
    
	$whlog_skin_val 		= $whlog_config['skin'];
	$whlog_copy_val 		= $whlog_config['copy'];
	$whlog_logo_val 		= $whlog_config['logo'];
	$whlog_logo_url_val 	= $whlog_config['logo_url'];
	$whlog_logo_width_val 	= $whlog_config['logo_width'];
	$whlog_logo_height_val	= $whlog_config['logo_height'];
	$whlog_remove_val 	= $whlog_config['remove'];
	$whlog_shaker_val 	= $whlog_config['shaker'];
    ?>
	
	<div class="wrap">
		
		<h2><?php  echo whlog_get_plugin_header('Plugin Name');?> - Settings</h2>
		
		<form name="whlog-settings" method="post" action="">	

		<table align="center" style="text-align:center">
        	<tr>
            	<td align="center" style="text-align:center">
                <div align="center" style="text-align:center !important; margin:10px;">
                 <a href="<?php  echo whlog_get_plugin_header('Logo Link');?>"><img src="<?php  echo whlog_get_plugin_header('Logo Location');?>" /></a>
                 </div>
                </td>
            </tr>
        </table>

			<table class="form-table">
            
            
            
				<tbody>
				
					<tr valign="top">
						<th scope="row">Logo image (URL)
                       
                        
                        
                        </th>
						<td>
							<label for="whlog-logo">
							<input id="whlog-logo" type="text" size="46" name="<?php print $whlog_logo; ?>" value="<?php print $whlog_logo_val; ?>" />
							<input id="upload-whlog-logo" type="button" value="Upload Image" />
							<br />
							<span class="description"><b>Max Height 115px</b>. Enter the full address here if you want to change the default wordpress logo.</span>
							</label>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row">
							<label for="whlog-copy-id">Custom copyright</label>
						</th>
						<td>
							<input type="text" name="<?php print $whlog_copy; ?>" value="<?php print $whlog_copy_val; ?>" size="60" id="whlog-copy-id" /><br />
							<span class="description">Leave blank if you dont want any copyright message.</span>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row">
							<label for="whlog-shaker">Enable "shaker" effect.</label>
						</th>
						<td>
							<input type="checkbox" name="<?php print $whlog_shaker; ?>" value="1" id="whlog-shaker" <?php if( $whlog_shaker_val ) print 'checked=\'checked\''; ?> />
							<span class="description"Check this option if you want to enable the shaker effect on login error.</span>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row">
							<label for="whlog-remove">Remove plugin data</label>
						</th>
						<td>
							<input type="checkbox" name="<?php print $whlog_remove; ?>" value="1" id="whlog-remove" <?php if( $whlog_remove_val ) print 'checked=\'checked\''; ?> />
							<span class="description">Check this option if you want to delete all registered options, when uninstalled.</span>
						</td>
					</tr>

					<tr valign="top">
						<th scope="row">
							<label>Choose the skin</label>
						</th>
						<td>
							<ul id="whlog-skins-list">
                            											
								<?php foreach( $whlog_config['skins'] as $skin ): ?>
								<li class="<?php print $whlog_skin_val == $skin ? 'active' : ''; ?>">
									<a href="#"><img src="<?php print $whlog_config['path'] . '/themes/' . $skin; ?>/thumbnail.png" alt="<?php print $skin; ?>" /></a>
								</li>
								<?php endforeach; ?>
							</ul>
							
							<div class="clear"></div>
							
							<input type="hidden" name="<?php print $whlog_skin; ?>" value="<?php print $whlog_skin_val; ?>" id="whlog-skin-name-value" />
							
						</td>
					</tr>

				</tbody>
			
			</table>

			<p class="submit">
			<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e( 'Save Changes' ) ?>" />
			</p>
			
			<input type="hidden" name="whlog_form_submitted" value="Y" />
			
		</form>
		
	</div>

	<?php
}
?>